Description

You can configure notification events in "Administration" > "Settings" > "Select actions for which email notifications should be sent.".
In the section, you can see "Issue updated" and its sub-events, "Note added", "Status updated", "Assignee updated", and "Priority
updated".

The issue | am going to point out is that the four sub-events don't cover all notification types that handled by the "Issue updated"”
event. For example, add/remove relations trigger notifications if "Issue updated" is enabled. But there is no such sub-event on the

page.

As a result, the following two configurations work differently. | think most users expect that the two configurations work the same. It is
confusing.

Select actions for which email notifications should be sent.
Issue added
4 Issue updated
Note added
Status updated
Assignee updated

Priority updated

Select actions for which email notifications should be sent.
Issue added
Issue updated
# Note added
® Status updated
@ Assignee updated
@ Priority updated

It is quite misleading. Many users misunderstand that "Issue updated" consists of "Note added", "Status updated", "Assignee
updated", and " Priority updated". But "Issue updated” includes some other "hidden" events such as an update of description and a
change of relation. Probably users never think that "Issue updated" includes "hidden" events.

My idea to resolve the problem is to add a new sub-event "Other issue attributes updated". This sub-event covers all other events (|
mentioned before as "hidden events").
Select actions for which email notifications should be sent.
Issue added

Issue updated

Note added

Status updated

Assignee updated

Priority updated

Other issue attributes updated

News added

Comment added to a news
The benefits of adding the sub-event as follows:

e Users can easily understand that there are some other events that trigger notifications
¢ |t makes easy for users to find the way to disable unimportant notifications such as "Relation added"
¢ Makes things consistent. There are no "hidden" events any longer

History

#1 - 2019-10-03 07:54 - ryou soda

+1

So Nice!

#2 - 2019-10-03 14:36 - Kohei Nakamura
+1

That's an awesome idea. :)
I've never thought of it ("Issue updated" includes "hidden" events).

#3 - 2019-10-03 14:47 - Yuuki NARA

+1
This will make the email sending condition MECE.

By the way, is Relation updated included in other attributes?
I think it is better to be independent.

https://www.redmine.org/issues/16098#note-18

#4 - 2019-10-07 06:44 - Yuichi HARADA

- File 32183_notified _events_other_issue_attributes.patch added

Go MAEDA wrote:
It is quite misleading. Many users misunderstand that "Issue updated" consists of "Note added", "Status updated", "Assignee updated", and "
Priority updated". But "Issue updated" includes some other "hidden" events such as an update of description and a change of relation. Probably

users never think that "Issue updated" includes "hidden" events.

My idea to resolve the problem is to add a new sub-event "Other issue attributes updated”. This sub-event covers all other events (I mentioned
before as "hidden events").
Select actions for which email notifications should be sent.
Issue added

Issue updated

Note added

Status updated

Assignee updated

Priority updated

Other issue attributes updated )

News added

Comment added to a news

| added "Other issue attributes updated" checkbox. | attached a patch.

#5 - 2019-11-04 03:53 - Go MAEDA

- Target version set to Candidate for next major release

Files

notified-events-config-1@2x.png 13.3 KB 2019-10-03 Go MAEDA
notified-events-config-2@2x.png 14 KB 2019-10-03 Go MAEDA
other-issue-attributes-event@2x.png 21.5 KB 2019-10-03 Go MAEDA
32183 _notified_events_other_issue_attributes.patch 4.94 KB 2019-10-07 Yuichi HARADA
